package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单支付方式
 */
@AllArgsConstructor
@Getter
public enum EOrderPayType {

    /**
     * 钱包
     */
    WALLET(0, "钱包", 0),

    /**
     * 在线
     */
    ONLINE(1, "在线", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    public static String getLabelByValue(Integer value) {
        if (null == value) {
            return "";
        }
        for (EOrderPayType enums : EOrderPayType.values()) {
            if (enums.value == value) {
                return enums.getLabel();
            }
        }
        return "";
    }

}
